
/*******************************************************************************
*
* File archive.h
*
* Copyright (C) 2011, 2015 Martin Luescher, Mattia Dalla Brida
*
* This software is distributed under the terms of the GNU General Public
* License (GPL)
*
*******************************************************************************/

#ifndef ARCHIVE_H
#define ARCHIVE_H

#ifndef SU3_H
#include "su3.h"
#endif

/* ARCHIVE_C */
extern void write_cnfg(char *out,int n,su3_dble *ud);
extern void read_cnfg(char *in,int n,su3_dble *ud);
extern void export_cnfg(char *out,int n,su3_dble *ud);
extern void import_cnfg(char *in,int n,su3_dble *ud);

/* MARCHIVE_C */
extern void write_mfld(char *out,int n,su3_alg_dble *mom);
extern void read_mfld(char *in,int n,su3_alg_dble *mom);
extern void export_mfld(char *out,int n,su3_alg_dble *mom);
extern void import_mfld(char *in,int n,su3_alg_dble *mom);

/* CARCHIVE_C */
extern void write_cfld(char *out,int n,su3_alg_dble *cd);
extern void read_cfld(char *in,int n,su3_alg_dble *cd);
extern void export_cfld(char *out,int n,su3_alg_dble *cd);
extern void import_cfld(char *in,int n,su3_alg_dble *cd);

/* SARCHIVE_C */
extern void write_sfld(char *out,int n,spinor_dble *sd);
extern void read_sfld(char *in,int n,spinor_dble *sd);
extern void export_sfld(char *out,int n,spinor_dble *sd);
extern void import_sfld(char *in,int n,spinor_dble *sd);

#endif
