
/*******************************************************************************
*
* File uflds.h
*
* Copyright (C) 2015 Martin Luescher
*
* This software is distributed under the terms of the GNU General Public
* License (GPL)
*
*******************************************************************************/

#ifndef UFLDS_H
#define UFLDS_H

#ifndef SU3_H
#include "su3.h"
#endif

/* EPLAQ_C */
extern void Eplaq(int n,su3_dble *ud,double *E_sp,double *E_tm);
extern void Splaq(int icom,int n,su3_dble *ud,double *S);

/* UDCOM_C */
extern void copy_bnd_ud(int n,su3_dble *ud);

/* UFLDS_C */
extern void a2uflds(int n,su3_alg_dble **ad,su3_dble *ud);
extern void u2aflds(int n,su3_dble *ud,su3_alg_dble **ad);
extern void random_ud(int n,su3_dble *ud);

#endif
