
/*******************************************************************************
*
* File wflow.h
*
* Copyright (C) 2015 Martin Luescher
*
* This software is distributed under the terms of the GNU General Public
* License (GPL)
*
*******************************************************************************/

#ifndef WFLOW_H
#define WFLOW_H

#ifndef SU3_H
#include "su3.h"
#endif

/* WFLOW_C */
extern void fwd_euler(int ns,double eps,int idmp,int n,su3_dble *ud);
extern void fwd_rk2(int ns,double eps,int idmp,int n,su3_dble *ud);
extern void fwd_rk3(int ns,double eps,int idmp,int n,su3_dble *ud);

/* WFORCE_C */
extern void plaq_frc(int n,su3_dble *ud,su3_alg_dble *fd);
extern void damping_frc(int n,su3_dble *ud,su3_alg_dble *fd);

#endif
